APIMCPs

List MCPs

List all MCPs in the organization.

GET
/mcps

List all MCPs in the organization.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_mcps

Response Body

The request has succeeded.

application/json
  1. response
items*array<>
curl -X GET "https://example.com/mcps"
{  "items": [    {      "id": null,      "slug": "string",      "origin": "catalog",      "kind": "builtin",      "display_name": "string",      "server_url": "http://example.com",      "gateway_url": "http://example.com",      "available_tools": [        {          "name": "string",          "description": "string",          "input_schema": {            "property1": null,            "property2": null          },          "upstream_id": "string",          "upstream_name": "string"        }      ],      "config": {        "catalog_slug": "string",        "mode": "embedded",        "byo_client_id": "string",        "token_endpoint_auth_method": "client_secret_basic"      },      "connection_lifetime": {        "max_age_seconds": 1,        "idle_timeout_seconds": 1      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}